### Method

# Ggit DiffFile ref

#### Declaration [src]

    GgitDiffFile*
    ggit_diff_file_ref (
      GgitDiffFile* file
    )

#### Description [src]

Atomically increments the reference count of `file` by one. This function is MT-safe and may be called from any thread.

#### Return value

Type: `GgitDiffFile`

A `GgitDiffFile` or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.